
<ion-header> 

  <ion-toolbar> 

    <ion-buttons> 
<ion-button (click)="finish()">
  Back

</ion-button>


    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">


  <div class="ion-text-center ion-padding"> 
    <img class="logo" src="./../../assets/img/logo.png" alt="logo">
  </div>


  <form  [formGroup]="registerForm" (ngSubmit)="register(registerForm.value)">

    <ion-item>

      <ion-label>Email </ion-label>
      <ion-input formControlName="email"> </ion-input>
 
    </ion-item>

    <div class="validation-error">

      <ng-container *ngFor="let validation of validation_messages.email"> 

        <div *ngIf="registerForm.get('email').hasError(validation.type) && 
        (registerForm.get('email').dirty  || registerForm.get('email').touched)"> 

        {{validation.message}}

      </div>


      </ng-container> 
    </div>

    <ion-item>


      <ion-label>Password </ion-label>
      <ion-input type="password" formControlName="password"></ion-input>
      
    </ion-item>


    <div class="validation-error">

      <ng-container *ngFor="let validation of validation_messages.password"> 

        <div *ngIf="registerForm.get('password').hasError(validation.type) && 
        (registerForm.get('password').dirty  || registerForm.get('password').touched)"> 

        {{validation.message}}

      </div>


      </ng-container> 
    </div>
  
  
    <ion-button expand="full"
    [disabled]="registerForm.invalid"
    type="submit"
     shape="round">  Registro </ion-button>


  </form>

  <ng-container> 
    <article class="ion-text-center">
  {{msgRegister}}

</article>


</ng-container>

</ion-content>

<!-- <ion-footer class="ion-text-center"> 

  <ion-button expand="full" fill="outline" shape="round" (click)="goToRegister()">  clic para registrarte </ion-button>

</ion-footer> -->
